#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# do not perform "make test"

Summary:	The modular source code checker: pep8, pyflakes and co
Summary(pl.UTF-8):	Modularne narzędzie do sprawdzania kodu źródłowego: pep8, pyflakes itp.
Name:		flake8
Version:	2.5.4
Release:	2
License:	MIT
Group:		Development/Tools
#Source0Download: https://pypi.python.org/simple/flake8/
Source0:	https://pypi.python.org/packages/source/f/flake8/%{name}-%{version}.tar.gz
# Source0-md5:	a4585b3569b95c3f66acb8294a7f06ef
Patch0:		%{name}-dependencies.patch
URL:		https://pypi.python.org/pypi/flake8
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-modules >= 1:2.5
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-mccabe >= 0.2.1
BuildRequires:	python-mock
BuildRequires:	python-nose
BuildRequires:	python-pep8 >= 1.5.7
BuildRequires:	python-pyflakes >= 0.8.1
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-mccabe >= 0.2.1
BuildRequires:	python3-nose
BuildRequires:	python3-pep8 >= 1.5.7
BuildRequires:	python3-pyflakes >= 0.8.1
%endif
%endif
%if %{with python3}
Requires:	python3-flake8 = %{version}-%{release}
%else
Requires:	python-flake8 = %{version}-%{release}
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

%description -l pl.UTF-8
Modularne narzędzie do sprawdzania kodu źródłowego. Jest to opakowanie
dla narzędzi:
- PyFlakes
- pep8
- skrypt McCabe autorstwa Neda Batcheldera

%package -n python-flake8
Summary:	The modular source code checker: pep8, pyflakes and co
Summary(pl.UTF-8):	Modularne narzędzie do sprawdzania kodu źródłowego: pep8, pyflakes itp.
Group:		Libraries/Python
Requires:	python-modules

%description -n python-flake8
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

%description -n python-flake8 -l pl.UTF-8
Modularne narzędzie do sprawdzania kodu źródłowego. Jest to opakowanie
dla narzędzi:
- PyFlakes
- pep8
- skrypt McCabe autorstwa Neda Batcheldera

%package -n python3-flake8
Summary:	The modular source code checker: pep8, pyflakes and co
Summary(pl.UTF-8):	Modularne narzędzie do sprawdzania kodu źródłowego: pep8, pyflakes itp.
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-flake8
The modular source code checker. It is a wrapper around these tools:
- PyFlakes
- pep8
- Ned Batchelder's McCabe script

%description -n python3-flake8 -l pl.UTF-8
Modularne narzędzie do sprawdzania kodu źródłowego. Jest to opakowanie
dla narzędzi:
- PyFlakes
- pep8
- skrypt McCabe autorstwa Neda Batcheldera

%prep
%setup -q
%patch0 -p1

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
mv $RPM_BUILD_ROOT%{_bindir}/flake8{,-2}
%py_postclean
%endif

%if %{with python3}
%py3_install
mv $RPM_BUILD_ROOT%{_bindir}/flake8{,-3}
%endif

ln -s flake-%{!?with_python3:2}%{?with_python3:3} $RPM_BUILD_ROOT%{_bindir}/flake8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES.rst CONTRIBUTORS.txt LICENSE README.rst
%attr(755,root,root) %{_bindir}/flake8

%if %{with python2}
%files -n python-flake8
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/flake8-2
%{py_sitescriptdir}/flake8
%{py_sitescriptdir}/flake8-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-flake8
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/flake8-3
%{py3_sitescriptdir}/flake8
%{py3_sitescriptdir}/flake8-%{version}-py*.egg-info
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/flake8.git;a=log;h=auto/th/flake8-2.5.4-2

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3643ee8
- python 3.6
- release 2 (by relup.sh)

* Fri Mar 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 19c415b
- added dependencies patch (bump maximum pyflakes version)

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> 8b0b670
- use symlink

* Mon Mar 21 2016 Jakub Bogusz <qboosh@pld-linux.org> 37b9d23
- updated to 2.5.4
- added python-/python3- packages

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> ee25eca
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 33643bb
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b6e3cac
- python 3.5 rebuild
- release 2 (by relup.sh)

* Fri Nov 28 2014 Elan Ruusamäe <glen@delfi.ee> 15a03bb
- update BR

* Thu Nov 27 2014 Elan Ruusamäe <glen@delfi.ee> a24e9a3
- enable tests (tests bcond did not exist), update deps for tests

* Thu Nov 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> abcf879
- initial

